Module java.desktop
Package javax.swing.plaf.basic

# Class BasicScrollPaneUI.ViewportChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicScrollPaneUI.ViewportChangeHandler

All Implemented Interfaces:
  `EventListener`, `ChangeListener`

Enclosing class:
  BasicScrollPaneUI

    public class BasicScrollPaneUI.ViewportChangeHandler
    extends Object
    implements ChangeListener

Listener for viewport events.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ViewportChangeHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ChangeListener

`stateChanged`

## Constructor Details

### ViewportChangeHandler

public ViewportChangeHandler()